### Class

# FwupdPlugin Chunk

since: 1.0

#### Description [src]

    final class FwupdPlugin.Chunk : GObject.Object
    {
      /* No available fields */
    }

A optionally mutable packet of chunked data with address, page and index.

Available since: 1.0

#### Ancestors

- GObject

#### Constructors

###### fu_chunk_bytes_new

Creates a new packet of data.

since: 1.5.6

###### fu_chunk_new

Creates a new packet of chunked data.

since: 1.1.2

#### Instance methods

###### fu_chunk_get_address

Gets the address of the chunk.

since: 1.5.6

###### fu_chunk_get_bytes

Gets the data of the chunk.

since: 1.5.6

###### fu_chunk_get_data

Gets the data of the chunk.

since: 1.5.6

###### fu_chunk_get_data_out

Gets the mutable data of the chunk.

since: 1.5.6

###### fu_chunk_get_data_sz

Gets the data size of the chunk.

since: 1.5.6

###### fu_chunk_get_idx

Gets the index of the chunk.

since: 1.5.6

###### fu_chunk_get_page

Gets the page of the chunk.

since: 1.5.6

###### fu_chunk_set_address

Sets the address of the chunk.

since: 1.5.6

###### fu_chunk_set_bytes

Sets the data to use for the chunk.

since: 1.5.6

###### fu_chunk_set_idx

Sets the index of the chunk.

since: 1.5.6

###### fu_chunk_set_page

Sets the page of the chunk.

since: 1.5.6

###### fu_chunk_to_string

Converts the chunked packet to a string representation.

since: 1.1.2

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

unstable since: 2.0

#### Class structure

    struct FwupdPluginChunkClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`
  No description available.